
Installer - Feature #35133

Remove VM overcommit hook

06/29/2022 01:58 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.4.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/790,

https://github.com/theforeman/foreman-i

nstaller/pull/791

  

Description

Memory is being configured for the JVM directly now and this check is should no longer be needed:

https://github.com/theforeman/puppet-candlepin/blob/master/manifests/init.pp#L217

https://github.com/theforeman/puppet-puppet/blob/master/manifests/params.pp#L350

Related issues:

Blocks Installer - Feature #35149: Remove `--disable-system-checks` option Closed

Associated revisions

Revision 7be31890 - 07/06/2022 01:38 PM - Eric Helms

Fixes #35133: Drop VM overcommit check

This check was originally introduced prior to having controls

set to establish memory usage among the java applications in the stack,

namely Candlepin at the time. As we now by default set Xmx this

check should no longer be needed.

History

#1 - 06/30/2022 12:36 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/790 added

#2 - 07/01/2022 12:27 AM - Eric Helms

- Blocks Feature #35149: Remove `--disable-system-checks` option added

#3 - 07/01/2022 12:32 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/791 added

#4 - 07/06/2022 01:38 PM - The Foreman Bot

- Fixed in Releases 3.4.0 added

#5 - 07/06/2022 02:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|7be3189035b7dbc6ce578338ad81adc8d1fa103a.
